org.eclipse.rdf4j.rio.nquads

## Class NQuadsParser

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFParser
  - - org.eclipse.rdf4j.rio.ntriples.NTriplesParser
    - - org.eclipse.rdf4j.rio.nquads.NQuadsParser

- All Implemented Interfaces:
    RDFParser

      public class NQuadsParser
      extends NTriplesParser

  RDF parser implementation for the `N-Quads` RDF format, extending the Rio N-Triples parser. A specification of N-Quads can be found here. This parser is not thread-safe, therefore its public methods are synchronized.
  Author:
    Joshua Shinavier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `RDFParser.DatatypeHandling`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Resource` | `context`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.ntriples.NTriplesParser

      `lineNo, object, predicate, reader, subject`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `rdfHandler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NQuadsParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Gets the RDF format that this parser can parse.
    `void` | `parse(InputStream inputStream, String baseURI)` Parses the data from the supplied InputStream, using the supplied baseURI to resolve any relative URI references.
    `void` | `parse(Reader reader, String baseURI)` Parses the data from the supplied Reader, using the supplied baseURI to resolve any relative URI references.
    `protected int` | `parseContext(int c)`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.ntriples.NTriplesParser

      `assertLineTerminates, clear, createLiteral, createURI, getSupportedSettings, parseNodeID, parseObject, parsePredicate, parseSubject, parseUriRef, peekCodePoint, readCodePoint, reportError, reportError, reportFatalError, reportFatalError, reportWarning, skipLine, skipLine, skipToEndOfLine, skipWhitespace, throwEOFException, unread`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `clearBNodeIDMap, createBNode, createBNode, createLiteral, createLiteral, createNode, createNode, createStatement, createStatement, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, initializeNamespaceTableFromConfiguration, preserveBNodeIDs, reportError, reportError, reportError, reportFatalError, reportFatalError, reportFatalError, reportLocation, reportWarning, resolveURI, set, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `parse, parse`

- - ### Field Detail

    - #### context

          protected Resource context

  - ### Constructor Detail

    - #### NQuadsParser

          public NQuadsParser()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFParser`
      Gets the RDF format that this parser can parse.
      Specified by:
        `getRDFFormat` in interface `RDFParser`
      Overrides:
        `getRDFFormat` in class `NTriplesParser`

    - #### parse

          public void parse(InputStream inputStream,
                            String baseURI)
                     throws IOException,
                            RDFParseException,
                            RDFHandlerException

      Description copied from interface: `RDFParser`
      Parses the data from the supplied InputStream, using the supplied baseURI to resolve any relative URI references.
      Specified by:
        `parse` in interface `RDFParser`
      Overrides:
        `parse` in class `NTriplesParser`
      Parameters:
        `inputStream` - The InputStream from which to read the data.
        `baseURI` - The URI associated with the data in the InputStream. May be `null`. Parsers for syntax formats that do not support relative URIs will ignore this argument.

        Note that if the data contains an embedded base URI, that embedded base URI will overrule the value supplied here (see RFC 3986 section 5.1 for details).

      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `RDFParseException` - If the parser has found an unrecoverable parse error.
        `RDFHandlerException` - If the configured statement handler has encountered an unrecoverable error.

    - #### parse

          public void parse(Reader reader,
                            String baseURI)
                     throws IOException,
                            RDFParseException,
                            RDFHandlerException

      Description copied from interface: `RDFParser`
      Parses the data from the supplied Reader, using the supplied baseURI to resolve any relative URI references.
      Specified by:
        `parse` in interface `RDFParser`
      Overrides:
        `parse` in class `NTriplesParser`
      Parameters:
        `reader` - The Reader from which to read the data.
        `baseURI` - The URI associated with the data in the InputStream. May be `null`. Parsers for syntax formats that do not support relative URIs will ignore this argument.

        Note that if the data contains an embedded base URI, that embedded base URI will overrule the value supplied here (see RFC 3986 section 5.1 for details).

      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `RDFParseException` - If the parser has found an unrecoverable parse error.
        `RDFHandlerException` - If the configured statement handler has encountered an unrecoverable error.

    - #### parseContext

          protected int parseContext(int c)
                              throws IOException,
                                     RDFParseException

      Throws:
        `IOException`
        `RDFParseException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.